org.red5.server.scope

## Class Scope.Builder

- java.lang.Object
- - org.red5.server.scope.Scope.Builder

Enclosing class:
  Scope

    public static final class Scope.Builder
    extends Object

Builder pattern

### Constructor Summary

Constructors
Constructor and Description
`Scope.Builder(IScope parent, ScopeType type, String name, boolean persistent)`

### Method Summary

Methods
`Scope` `build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Scope.Builder

    public Scope.Builder(IScope parent,
                 ScopeType type,
                 String name,
                 boolean persistent)

### Method Detail

#### build

    public Scope build()